<template>
    <div class="divisionDetail" v-if="detailData">
      <h4>{{detailData.postTitle}}</h4>
      <div style="overflow: hidden">
        <p>作者：{{detailData.postAuthor}}</p>
      </div>
      <div class="wzContent" v-html="detailData.postContent">

      </div>
    </div>
</template>

<script>
    export default {
        name: "",
        data() {
            return {
              detailData: null,
            }
        },
        created() {
        },
        mounted(){
          console.log(this.$route.query.wzdetail)
          this.detailData = this.$route.query.wzdetail
        },
        methods: {
        },

      destroyed(){
          console.log('销毁离开')
      }
    }
</script>

<style scoped lang="less" type="text/less">
.divisionDetail{
  /*background: #ffffff;*/
  padding: 20px 15px;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  /*margin: 20px 16px 0 16px;*/
  height: 87%;
  overflow-x: auto;
  color: #ffffff;
  h4{
    font-size: 18px;
    font-weight: bold;
    padding: 15px;
    text-align: center;
  }
  p{
    font-size: 16px;
    float: left;
  }
  .wzContent{
    padding: 20px;
    text-align: left;
    font-size: 16px;
    color: #ffffff;
    width: 97%;
    word-break: break-all;
    overflow: hidden;
  }
}
</style>
